Cannot activate plugin with Cacti 0.8.8b and Debian 8.1

Support for the Plugin Architecture

Moderators: Moderators, Developers

Post Reply
Author
Message
kappaalby
Posts: 2
Joined: Mon Sep 07, 2015 11:11 am

Cannot activate plugin with Cacti 0.8.8b and Debian 8.1

#1 Post by kappaalby » Mon Sep 07, 2015 11:26 am

Hello all,

I have some troubles with plugin installation. I installed cacti with apt. And when I go "Configuration/Plugin Management" of the cacti GUI I
cannot see any plugin and I got "No Plugins Found".

Cacti Version: 0.8.8b, Plugin Architecture Version: 3.1
OS version: Debian 8.1 (jessie)

As PIA is already included with cacti 0.8.8 I downloaded the plugin in which I'm interested (realtime) and copied it in the plugins directory under cacti
install dir.

-> Since the plugins directory was not present I created it

below the contents of the cacti install dir:

[email protected]:/usr/share/cacti$ ll
total 164
drwxr-xr-x 2 root root 4096 Sep 2 11:40 cli
drwxr-xr-x 2 root root 4096 Sep 2 11:40 conf_templates
drwxr-xr-x 3 root root 4096 Sep 7 17:34 plugins
drwxr-xr-x 5 root root 4096 Sep 2 11:40 resource
drwxr-xr-x 9 root root 4096 Sep 2 11:40 site

below the contents of the plugin directory:

[email protected]:/usr/share/cacti/plugins$ ll
total 4
drwxr-xr-x 2 root root 4096 Sep 7 17:34 realtime

and below the contents of the realtime dir:

[email protected]:/usr/share/cacti/plugins/realtime$ ll
total 140
-rwxr-xr-x 1 root root 6873 Sep 7 17:34 cmd_rt.php
-rwxr-xr-x 1 root root 5221 Sep 7 17:34 graph_ajax_rt.php
-rwxr-xr-x 1 root root 43126 Sep 7 17:34 graph_image_rt.php
-rwxr-xr-x 1 root root 5044 Sep 7 17:34 graph_popup_rt.php
-rwxr-xr-x 1 root root 42 Sep 7 17:34 index.php
-rw-r--r-- 1 root root 15237 Sep 7 17:34 LICENSE
-rw-r--r-- 1 root root 10819 Sep 7 17:34 loading.gif
-rw-r--r-- 1 root root 950 Sep 7 17:34 monitor_rt.gif
-rwxr-xr-x 1 root root 9125 Sep 7 17:34 poller_rt.php
-rw-r--r-- 1 root root 3617 Sep 7 17:34 README
-rw-r--r-- 1 root root 3401 Sep 7 17:34 realtime.js
-rw-r--r-- 1 root root 391 Sep 7 17:34 realtime.sql
-rwxr-xr-x 1 root root 9062 Sep 7 17:34 setup.php


Someone has any idea? suggestions? If you need more info please let me know!

Bests,
Alberto

kappaalby
Posts: 2
Joined: Mon Sep 07, 2015 11:11 am

Re: Cannot activate plugin with Cacti 0.8.8b and Debian 8.1

#2 Post by kappaalby » Mon Sep 07, 2015 11:36 am

I found right now... it's debian

[email protected]:/usr/share/cacti/site/plugins$ cat README.Plugins
If you read this and care about keeping your system maintainable, please change
the layout of the plugins structure of cacti. Due to the way a lot of plug-ins
are written (details in bug #681558) in combination with Debian policy, I can
not fix this in the package.

* Create a directory /usr/local/share/cacti/plugins:
mkdir /usr/local/share/cacti/plugins
* Move all content of /usr/share/cacti/site/plugins to
/usr/local/share/cacti/plugins
mv /usr/share/cacti/site/plugins/* /usr/local/share/cacti/plugins/
* Remove the empty /usr/share/cacti/site/plugins directory
rmdir /usr/share/cacti/site/plugins
* Create the following symlinks:
ln -s /usr/local/share/cacti/plugins /usr/share/cacti/site/plugins
ln -s /usr/share/cacti/site/include /usr/local/share/cacti/include
ln -s /usr/share/cacti/site/lib /usr/local/share/cacti/lib

insted of /user/local/share I used /user/share ....

Post Reply